package com.sckw.system.dao;

import com.sckw.system.model.KwsUserRole;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户角色关联信息
 * @author zk
 * @date 2023-05-31
 */
@Mapper
public interface  KwsUserRoleDao {
    /**
     * 新增
     * @param record
     * @return
     */
    int insert(KwsUserRole record);

    /**
     * 更新
     * @param record
     * @return
     */
    int update(KwsUserRole record);

    /**
     * 详情查询
     * @param id
     * @return
     */
    KwsUserRole selectByKey(Long id);

    /**
     * 批量新增
     * @param list
     * @return
     */
    int saveBatch(@Param(value = "list") List<KwsUserRole> list);

    /**
     * @param userId 用户id
     * @return List
     * @desc: 根据用户ID查用户角色信息
     * @author: czh
     * @date: 2023/6/13
     */
    List<KwsUserRole> findAllByUserId(Long userId);

    /**
     * @param roleId 角色id
     * @return List
     * @desc: 根据角色ID查用户角色信息
     * @author: czh
     * @date: 2023/6/13
     */
    List<KwsUserRole> findAllByRoleId(Long roleId);

    /**
     * @param list 角色id集合
     * @return List
     * @desc: 根据角色ID查用户角色信息
     * @author: czh
     * @date: 2023/6/13
     */
    List<KwsUserRole> findAllByRoleIds(List<Long> list);

}
